summaryrefslogtreecommitdiffstats
path: root/multimedia/kino
diff options
context:
space:
mode:
author Pierre Cazenave <pwcazenave@gmail.com>2010-05-11 20:01:19 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:19 +0200
commitd0e05bd2e3b3d0be4e23d901953cd94cd7dbba06 (patch)
treedceecd7272272f49b04f1eead8f5af7e2c36b2f8 /multimedia/kino
parent513f419ff58efb294d3260a7dbb3a41933ff0d3c (diff)
downloadslackbuilds-d0e05bd2e3b3d0be4e23d901953cd94cd7dbba06.tar.gz
slackbuilds-d0e05bd2e3b3d0be4e23d901953cd94cd7dbba06.tar.xz
multimedia/kino: Added to 12.0 repository
Diffstat (limited to 'multimedia/kino')
-rw-r--r--multimedia/kino/README12
-rw-r--r--multimedia/kino/kino.SlackBuild83
-rw-r--r--multimedia/kino/kino.info8
-rw-r--r--multimedia/kino/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/multimedia/kino/README b/multimedia/kino/README
new file mode 100644
index 0000000000..86c69163bc
--- /dev/null
+++ b/multimedia/kino/README
@@ -0,0 +1,12 @@
+Kino is a non-linear DV editor for GNU/Linux.
+
+It features excellent integration with IEEE 1394 for capture, VTR
+control, and recording back to the camera. It captures video to disk
+in raw DV or AVI format in both type-1 DV and type-2 DV (separate
+audio stream) encodings.
+
+Kino does not support other video file formats or encodings, but it
+can import them by transcoding with FFmpeg and optionally MEncoder.
+
+This requires libraw1394, libavc1394, libiec61883, libdv, libsamplerate,
+and optionally ffmpeg, all of which available from SlackBuilds.org.
diff --git a/multimedia/kino/kino.SlackBuild b/multimedia/kino/kino.SlackBuild
new file mode 100644
index 0000000000..fd52e20d84
--- /dev/null
+++ b/multimedia/kino/kino.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+#
+# Pierre Cazenave (LQ.org pwc101)
+# revision date 11/11/2007 (Armistice Day)
+#
+# I have set the -enable-local-ffmpeg option since I can't figure
+# out how to get the ffmpeg subdirectory configure script to be
+# passed the correct install directory for the creation of the
+# package. I figured this wasn't too much of an issue, since
+# there's a ffmpeg SlackBuild script already.
+#
+# If you can figure out how to get it to compile so that ffmpeg
+# obeys the variables we set, please modify this accordinly.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org> for better
+# consistency with other scripts in our repository
+# Re the note above, I wouldn't bother -- better to use ffmpeg
+# that's installed on the system.
+
+PRGNAM=kino
+VERSION=1.1.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --enable-local-ffmpeg
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+# Give the udev rules a number prefix to be consistent with other rules files
+mv $PKG/etc/udev/rules.d/kino.rules $PKG/etc/udev/rules.d/96-kino.rules
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog AUTHORS BUGS COPYING INSTALL NEWS README TODO help/ \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/kino/kino.info b/multimedia/kino/kino.info
new file mode 100644
index 0000000000..4c6975e959
--- /dev/null
+++ b/multimedia/kino/kino.info
@@ -0,0 +1,8 @@
+PRGNAM="kino"
+VERSION="1.1.1"
+HOMEPAGE="http://www.kinodv.org/"
+DOWNLOAD="http://downloads.sourceforge.net/kino/kino-1.1.1.tar.gz"
+MD5SUM="9aebc3ab965fba24021ba522c031e5ef"
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave@gmail.com"
+APPROVED="rworkman"
diff --git a/multimedia/kino/slack-desc b/multimedia/kino/slack-desc
new file mode 100644
index 0000000000..59da461216
--- /dev/null
+++ b/multimedia/kino/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kino: Kino (a non-linear DV editor for GNU/Linux)
+kino:
+kino: It features excellent integration with IEEE 1394 for capture, VTR
+kino: control, and recording back to the camera. It captures video to disk
+kino: in raw DV or AVI format in both type-1 DV and type-2 DV (separate
+kino: audio stream) encodings.
+kino: Kino does not support other video file formats or encodings, but it
+kino: can import them by transcoding with FFmpeg and optionally MEncoder.
+kino:
+kino: http://www.kinodv.org/
+kino: